# Szablon plików Jupyter do zajęć w AITech

Plik szablon.ipynb zawiera nagłówek plików zajęć obowiązujący w projekcie AITech. Zawiera on również niezbędne metadane potrzebne do obróbki plików w procesie walidacji WCAG.

## Instrukcja wykorzystania szablonu do przygotowania nowego pliku zajęć.

1. Skopiuj plik szablonu zmieniając jego nazwę na właściwą dla danego spotkania.
2. Z poziomu edytora tekstu lub w "Property Inspector -> Advanced Tools" w JupyterLab uzupełnij niezbędne pola metadanych pliku, tj. pola "author","email","lang": "pl","subtitle", "title","year".
3. Uzupełnij brakujące informacje o zajęciach w pierwszej komórce markdown w pliku.
4. Wybierz właściwy dla zajęć "Kernel" i edytuj kolejne komórki notatnika według stosownych potrzeb.

## Instrukcja wykorzystania szablonu do modyfikacji istniejących plików zajęć.

1. Wklej zawartość pierwszej komórki markdown z pliku szablon.ipynb do wybranego przez autora pliku zajęć. Upewnij się, że komórka nagłówka będzie pierwszą komórką pliku. 
2. Uzupełnij brakujące informacje o zajęciach w pierwszej komórce markdown w pliku.
3. Z poziomu edytora tekstu lub w "Property Inspector -> Advanced Tools" w JupyterLab uzupełnij niezbędne pola metadanych pliku, tj. pola "author","email","lang": "pl","subtitle", "title","year". Jeśli pola te nie występują w "Notebook metadata" skopiuj ich strukturę do tej sekcji.


## Skrypt do modyfikacji plików
W pliku "json_script.ipynb" znajduje się skrypt napisany w języku Python do automatycznego dodawania  sformatowanego nagłówka oraz metadanych.

W razie pytań lub wątpliwości proszę pisać na adres bartnas@amu.edu.pl


